DescribeNetworkInterfaceRegions

1. API Description

This API (DescribeNetworkInterfaceRegions) is used to obtain the information of regions supporting the sale of vNIC.

2. Input Parameters

The following request parameter list only provides API request parameters.

None

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

regionIds

Array of String

Information of regions.

4. Code Example

Obtain the regional information supporting the sale of network interfaces.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeNetworkInterfaceRegions


Request:
{

}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "regionIds": ["xxx"]
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated